Bug 427096 - Review Request: gtkimageview - Simple image viewer widget
Review Request: gtkimageview - Simple image viewer widget
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 427028
  Show dependency treegraph
 
Reported: 2007-12-31 08:34 EST by Nils Philippsen
Modified: 2008-01-02 08:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 08:39:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-12-31 08:34:12 EST
Spec URL: http://tiptoe.de/dav/fedora-reviews/gtkimageview.spec
SRPM URL: http://tiptoe.de/dav/fedora-reviews/gtkimageview-1.5.0-1.fc8.src.rpm
Koji scratch build against Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=316589

Description: GtkImageView is a simple image viewer widget for GTK. It makes
writing image viewing and editing applications easy.
Comment 1 manuel wolfshant 2007-12-31 12:25:15 EST
Except for 
- duplicate BuildRequires: pkgconfig (by glib2-devel), glib2-devel (by gtk2-devel)
- strange name of source 
everything is fine.


Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on:x86_64
 [x] Rpmlint output: empty on all packages
 [x] Package is not relocatable.
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package:
72252b385b238c8ab959c4e46c4bee24aee7dc31  gtkimageview-1.5.0.tar.gz
72252b385b238c8ab959c4e46c4bee24aee7dc31  gtkimageview-1.5.0.tar.gz?format=raw
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [x] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on:local build for devel/x86_64 + koji scratch build provided by
original submiter
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: koji scratch build succeeded on all arch
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


================
*** APPROVED ***
================


How about creating a separate package with the rest of the stuff which is built
anyway, at least the /html dir ?
Comment 2 Nils Philippsen 2007-12-31 15:03:57 EST
(In reply to comment #1)
> Except for 
> - duplicate BuildRequires: pkgconfig (by glib2-devel), glib2-devel (by gtk2-devel)

I've made it a (private) policy of mine to at least attempt to include all
direct dependencies needed for building, even those that are in turn required by
other dependencies higher up in the chain. Gtkimageview uses glib-genmarshal
(from glib2-devel) and pkg-config (from pkgconfig) directly.

> - strange name of source 

That's because upstream attaches the source tarballs to a Trac wiki page. To
download them directly, Trac wants the '?format=raw' suffix. Since rpmbuild has
no problems with that, I chose to do it this way e.g. to allow spectool to work
properly. Inelegant, but working ;-).

> ================
> *** APPROVED ***
> ================
>
>
> How about creating a separate package with the rest of the stuff which is built
> anyway, at least the /html dir ?

The HTML documentation is in the -devel subpackage in
/usr/share/gtk-doc/html/gtkimageview -- or do you mean something else?

Thanks for the prompt review and have a good year 2008!

-------------------
New Package CVS Request
=======================
Package Name: gtkimageview
Short Description: Simple image viewer widget
Owners: nphilipp
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 3 manuel wolfshant 2008-01-01 05:50:38 EST
> I've made it a (private) policy of mine to at least attempt to include all
direct dependencies needed for building, even those that are in turn required by
other dependencies higher up in the chain. 
I've noticed :). I do that myself sometimes, especially when the deps chain is
not identical on different versions of Fedora

> The HTML documentation is in the -devel subpackage in
/usr/share/gtk-doc/html/gtkimageview -- or do you mean something else?
1-0 for you here. I've seen the html folder in the build log but I did not
notice it was packaged because of the longer [sub]directory name :)

>Thanks for the prompt review
My pleasure!

> and have a good year 2008!
All the best to you too. And to all the others involved in Fedora Collection :)
Comment 4 Kevin Fenzi 2008-01-01 18:18:44 EST
cvs done.
Comment 5 Nils Philippsen 2008-01-02 08:39:53 EST
gtkimageview-1.5.0-1 built for Rawhide, F-8, F-7

Note You need to log in before you can comment on or make changes to this bug.